Summary: Object Oriented Script Language
Name: ruby
Version: 1.6.2.2
%define subver 1.6
Release: 2mdk
Copyright: GPL
Group: Development/Other
BuildRequires: XFree86-devel gpm-devel ncurses-devel readline-devel tcl tk
Source: ftp://ftp.netlab.co.jp/pub/lang/ruby/stable-snapshot.tar.bz2
Source1: http://www.pragprog.com:8080/rubyfaq/rubyfaqall.html.bz2
Source2: ftp://ftp.netlab.co.jp/pub/lang/ruby/doc/ruby-man-1.4.6.tar.bz2
URL: http://www.ruby-lang.org/
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package doc
Summary: Documentation for the powerful language Ruby
Group: Development/Other
Requires: %{name} = %{version}

%package devel
Summary: Development file for the powerful language Ruby
Group: Development/Other
Requires: %{name} = %{version}

%package tk
Summary: Tk extension for the powerful language Ruby
Group: Development/Other
Requires: %{name} = %{version}

%description
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl).  It is simple, straight-forward, and extensible.

%description doc
see %{name}

%description devel
see %{name}

%description tk
Tk extension

%prep
%setup -q -n %{name}

#FILELIST="ruby.1 \
#	 ext/extmk.rb.in \
#	 ext/curses/*.rb \
#	 ext/tcltklib/demo/*.* ext/tcltklib/sample/*.rb ext/tcltklib/*.euc \
#	 ext/tk/sample/*.rb \
#	 sample/*.*"
#for i in ${FILELIST}; do
#	 sed -e s#/usr/local/bin/#%{_bindir}/#g $i >$i.$$
#	 mv $i.$$ $i
#done

%build
CFLAGS="-O3"
%configure
make
make test

%install
rm -rf %buildroot
make DESTDIR=%buildroot install

install -d %buildroot%{_docdir}/%{name}-%{version}
cp -a COPYING* ChangeLog README* ToDo sample %buildroot%{_docdir}/%{name}-%{version}
bzcat %{SOURCE1} > %buildroot%{_docdir}/%{name}-%{version}/FAQ.html

install -d %buildroot%{_datadir}/emacs/site-lisp
cp -a misc/ruby-mode.el %buildroot%{_datadir}/emacs/site-lisp

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat <<EOF >%buildroot%{_sysconfdir}/emacs/site-start.d/%{name}.el
(autoload 'ruby-mode "ruby-mode" "Ruby editing mode." t)
(add-to-list 'auto-mode-alist '("\\\\.rb$" . ruby-mode))
(add-to-list 'interpreter-mode-alist '("ruby" . ruby-mode))
EOF

(cd %buildroot%{_docdir}/%{name}-%{version} ; tar xfj %{SOURCE2})

(cd %buildroot ; find usr/lib/%{name}/%{subver} ! -type d -printf "/%%p\n") > %{name}.list
(cd %buildroot ; find usr/lib/%{name}/%{subver}   -type d -printf "%%%%dir /%%p\n") >> %{name}.list

perl -ni -e 'print if !m|/(tcl)?tk|' %{name}.list
perl -ni -e 'print if !m|%{_target_cpu}-%{_host_os}/.*[ha]$|' %{name}.list

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.list
%defattr(-, root, root)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README
%{_bindir}/*
%dir %{_libdir}/%{name}/
%{_mandir}/*/*
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files doc
%defattr(-, root, root)
%{_docdir}/%{name}-%{version}/COPYING*
%{_docdir}/%{name}-%{version}/ChangeLog
%{_docdir}/%{name}-%{version}/README.*
%{_docdir}/%{name}-%{version}/FAQ.html
%{_docdir}/%{name}-%{version}/ToDo
%{_docdir}/%{name}-%{version}/sample
%{_docdir}/%{name}-%{version}/*man*

%files devel
%defattr(-, root, root)
%{_libdir}/%{name}/%{subver}/%{_target_cpu}-%{_host_os}/*.[ah]

%files tk
%defattr(-, root, root)
%{_libdir}/%{name}/%{subver}/%{_target_cpu}-%{_host_os}/tcltk*
%{_libdir}/%{name}/%{subver}/%{_target_cpu}-%{_host_os}/tk*
%{_libdir}/%{name}/%{subver}/tcltk*
%{_libdir}/%{name}/%{subver}/tk*

%changelog
* Mon Mar 19 2001 Pixel <pixel@mandrakesoft.com> 1.6.2.2-2mdk
- fix the ruby.el (\\. -> \\\\.)

* Thu Jan 25 2001 Pixel <pixel@mandrakesoft.com> 1.6.2.2-1mdk
- new stable snapshot

* Wed Dec 27 2000 Pixel <pixel@mandrakesoft.com> 1.6.2-2mdk
- fix extensions
- create %{name}-devel
- remove %{name}-extensions, but create %{name}-tk

* Tue Dec 26 2000 Pixel <pixel@mandrakesoft.com> 1.6.2-1mdk
- new version

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 1.6.1-4mdk
- build again full optflags

* Wed Nov  8 2000 Pixel <pixel@mandrakesoft.com> 1.6.1-3mdk
- build without -fomit-frame-pointer for time being
- capitalize summaries

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 1.6.1-2mdk
- fix mispelling

* Thu Sep 28 2000 Pixel <pixel@mandrakesoft.com> 1.6.1-1mdk
- new version
- remove "--with-default-kcode=none", not more needed
- remove setting optflags to -O2, ruby doesn't crashes any more

* Tue Sep 19 2000 Pixel <pixel@mandrakesoft.com> 1.6.0-1mdk
- new version

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-6mdk
- add packager

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-5mdk
- nicer site-start.d/ruby.el (use add-to-list)

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-4mdk
- fix missing %%config

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-3mdk
- use %{_sysconfdir}/emacs/site-start.d for the ruby-mode.el

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-2mdk
- rebuild (fredlsux)

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 1.4.6-1mdk
- new version
- remove menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.5-6mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-5mdk
- rebuild with clean clean_menus

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-4mdk
- macroization
- BM

* Thu Jul 13 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-3mdk
- fix %%URL

* Sun Jun 25 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-2mdk
- rebuild (src.rpm got lost :( )

* Fri Jun 23 2000 Pixel <pixel@mandrakesoft.com> 1.4.5-1mdk
- new version

* Wed Jun 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.4-1mdk
- new version

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-6mdk
- fix group for doc

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-5mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-4mdk
- new group + cleanup

* Wed Feb 16 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-3mdk
- build with no charset conversion (was kanji :)

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-2mdk
- added the reference manual and FAQ in doc
- moved the lib/README in ext

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 1.4.3-1mdk
- mandrake adaptation and spliting in -/doc/extensions

* Wed Dec 08 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.3

* Mon Sep 20 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.2 (Sep 18)

* Fri Sep 17 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.2

* Tue Aug 17 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.4.0

* Fri Jul 23 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- Updated to version 1.2.6(15 Jul 1999)
- striped %{prefix}/bin/ruby

* Mon Jun 28 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.6(21 Jun 1999)

* Wed Apr 14 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.5

* Fri Apr 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 1.2.4

* Fri Dec 25 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.2 stable.

* Fri Nov 27 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.1c9.

* Thu Nov 19 1998 Toru Hoshina <hoshina@best.com>
- Version up to 1.1c8, however it appear short life :-P

* Fri Nov 13 1998 Toru Hoshina <hoshina@best.com>
- Version up.

end of changelog shortened, hope you japs won't kill a froggy for this :)
